## org.eclipse.datatools.sqltools.sqleditor.internal.sql
Class SQLTemplateProposalsService

    java.lang.Object
      org.eclipse.datatools.sqltools.sqleditor.internal.sql.SQLTemplateProposalsService

    public class SQLTemplateProposalsService

extends java.lang.Object

Author:
  Hui Cao

Constructor Summary
`SQLTemplateProposalsService()`

Method Summary
`java.util.ArrayList` `getProposals(SQLEditor editor, int completionPosition, java.lang.String word, boolean isStatementStart, org.eclipse.swt.graphics.Point selection)` Inspects the context of the compilation unit around `completionPosition` and feeds the collector with proposals.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLTemplateProposalsService

    public SQLTemplateProposalsService()

Method Detail

### getProposals

    public java.util.ArrayList getProposals(SQLEditor editor,
                                            int completionPosition,
                                            java.lang.String word,
                                            boolean isStatementStart,
                                            org.eclipse.swt.graphics.Point selection)

  Inspects the context of the compilation unit around `completionPosition` and feeds the collector with proposals.

  Parameters:
    `viewer` - the text viewer
    `completionPosition` - the context position in the document of the text viewer
    `word` - the word before the proposal invocation point
    `isStatementStart` - whether it is possible to start a new statement
  Returns:
    ArrayList of `TemplateProposal`s